PASSWD(1)

NAME
passwd - update a user's authentication tokens(s)

SYNOPSIS
passwd [-h] [-k] [username]

DESCRIPTION
Passwd is used to update a user's authentication token(s). Passwd is configured to work through the PAM API. Essentially, it initializes itself as a "passwd" service with PAM and utilizes configured password modules to authenticate and then update a user's password. Only the superuser may update another user's password by supplying a different username.

OPTIONS

-k  This option is used to indicate that the update should only be for expired authentication tokens (passwords); the user wishes to keep their non-expired tokens as before.

-h  Print short usage text and exit.

Remember the following two principles

Protect your password.
    Don't write down your password - memorize it. In particular, don't write it down and leave it anywhere, and don't place it in an unencrypted file! Use unrelated passwords for systems controlled by different organizations. Don't give or share your password, in particular to someone claiming to be from computer support or a vendor. Don't let anyone watch you enter your password. Don't enter your password to a computer you don't trust or if things someone may be trying to hijack your password. Use the password for a limited time and change it periodically.

Choose a hard-to-guess password.
    passwd will try to prevent you from choosing a really bad password, but it isn't foolproof; create your password wisely. Don't use something you'd find in a dictionary (in any language or jargon). Don't use a name (including that of a spouse, parent, child, pet, fantasy character, famous person, and location) or any variation of your personal or account name. Don't use accessible information about you (such as your phone number, license plate, or social security number) or your environment. Don't use a birthday or a simple pattern (such as Don't use any of those backwards, followed by a digit, or preceded by a digit. Instead, use a mixture of upper and lower case letters, as well as digits or punctuation. When choosing a new password, make sure it's unrelated to any previous password. Use long passwords (say 8 characters long). You might use a word pair with punctuation inserted, a passphrase (an understandable sequence of words), or the first letter of each word in a passphrase.

These principles are partially enforced by the system, but only partly so. Vigilence on your part will make the system much more secure.

EXIT CODE
On successful completion of its task, passwd will complete with exit code 0. An exit code of 1 indicates an error occurred. Textual errors are written to the standard error stream.

CONFORMING TO
Linux-PAM, OpenPAM.

FILES
/etc/pam.d/passwd - the PAM passwd configuration file.

SEE ALSO
pam(8), pam_chauthtok(3). For more complete information on how to configure this application with Linux-PAM, see the Linux-PAM System Administrators' Guide at /usr/share/doc/Linux-PAM*/html/Linux-PAM_SAG.html

AUTHOR
Andrew G. Morgan <morgan at kernel.org>